package remoteproxy;
import java.io.Serializable;

// This class implements a Message object that is serialized over a socket connection
public class Message implements Serializable {
	public final static int DATEREQUEST = 0;
	public final static int TIMEREQUEST = 1;
	public final static int RESPONSE = 2;
	private int requestID; // 0 for date, 1 for time
	private String retValue;   // return value
	
	/**
	 * constructs a request Message of a specified type
	 * @param request the type of request this Message represents 
	 */
	public Message( int request ) {
		this.requestID = request;
	}
	
	/**
	 * constructs a response Message
	 * @param response the String payload of this response Message 
	 */
	public Message( String response ) {
		this.requestID = RESPONSE;
		this.retValue = response;
	}
	
	/**
	 * @return the String response payload contained in this message
	 */
	public String getValue() {
		return retValue;
	}

	/**
	 * @return the requestID
	 */
	public int getRequestID() {
		return requestID;
	}

}
